package com.bjtdba.thirdPartWares.service;

import com.bjtdba.entity.thirdPartyWares.ThirdPartyGoods;

import java.util.List;

/**
 * (ThirdPartyGoods)表服务接口
 *
 * @author 何海强
 * @since 2023-02-16 16:51:02
 */
public interface ThirdPartyGoodsService {

    /**
     * 通过ID查询单条数据
     *
     * @param  主键
     * @return 实例对象
     */
    ThirdPartyGoods queryById( );

    /**
     * 分页查询
     *
     * @param thirdPartyGoods 筛选条件
     * @return 查询结果
     */
//    Page<ThirdPartyGoods> queryByPage(ThirdPartyGoods thirdPartyGoods, PageRequest pageRequest);

    public List<ThirdPartyGoods> queryAllByLimit(ThirdPartyGoods thirdPartyGoods);
    /**
     * 新增数据
     *
     * @param thirdPartyGoods 实例对象
     * @return 实例对象
     */
    ThirdPartyGoods insert(ThirdPartyGoods thirdPartyGoods);


    void insertBatch(List<ThirdPartyGoods> thirdPartyGoods);

    /**
     * 修改数据
     *
     * @param thirdPartyGoods 实例对象
     * @return 实例对象
     */
    void update(ThirdPartyGoods thirdPartyGoods);

    /**
     * 通过主键删除数据
     *
     * @return 是否成功
     */
    boolean deleteById( );

}
